import { getPermalink, getBlogPermalink, getAsset } from './utils/permalinks';

export const headerData = {
  links: [
    {
      text: 'Technology',
      href: getPermalink('/technology'),
    },
    {
      text: 'Builders',
      href: getPermalink('/builders'),
    },
    {
      text: 'Farming',
      href: getPermalink('/farming'),
    },
    {
      text: 'About',
      href: getPermalink('/about'),
    },
    {
      text: 'Blog',
      href: getPermalink('/blog'),
    },
  ],
  actions: [{ text: 'Get INCA Nodes', href: '/typeform' }],
};

export const footerData = {
  links: [
    {
      title: 'Project Overview',
      links: [
        { text: 'Technology', href: '/technology' },
        { text: 'Builders', href: '/builders' },
        { text: 'About', href: '/about' },
      ],
    },
    {
      title: 'Join the Cloud',
      links: [
        { text: 'Farming', href: '/farming' },
        { text: 'Get INCA Nodes', href: '/typeform' },
        { text: 'Build INCA Nodes', href: 'https://manual.grid.tf/documentation/farmers/3node_building/3node_building.html' },
      ],
    },
    {
      title: 'Communication',
      links: [
        { text: 'Contact Us', href: '/contact' },
        { text: 'Mailing List', href: 'javascript:ml_account("webforms", "3562741", "n7q9l7", "show")' },
        { text: 'Blog', href: '/blog' },

      ],
    },
  ],
  secondaryLinks: [
    { text: 'Terms', href: getPermalink('/terms') },
    { text: 'Privacy Policy', href: getPermalink('/privacy') },
  ],
  socialLinks: [
    { ariaLabel: 'Github', icon: 'tabler:brand-github', href: 'https://github.com/threefoldtech' },
    { ariaLabel: 'Telegram', icon: 'tabler:brand-telegram', href: 'https://t.me/threefold' },
    { ariaLabel: 'X', icon: 'tabler:brand-x', href: 'https://twitter.com/threefold_io' },
    { ariaLabel: 'Discord', icon: 'tabler:brand-discord', href: 'https://discord.com/invite/NZqKC4jEhD' },
  ],
  footNote: `
    A project by <a class="text-blue-600 underline dark:text-muted" href="https://threefold.io"> ThreeFold</a> · All rights reserved.
  `,
};
